Subject: RE: bug#24920: 24.5; Error on customize-update-all

From: Drew Adams <[email-masked]>
Date: Thu, 10 Nov 2016 14:59:55 -0800 (PST)

> I guess this is either a bug in cus-edit+ (wrongly assuming any of
> customized-value, saved-value, standard-value can be `eval'ed in any
> buffer), or it's a bug in Auctex (for putting a customized-value,
> saved-value, or standard-value that can't be `eval'ed in any
> buffer).

The cus-edit+.el code for this is essentially the same as the
cus-edit.el code for commands such as `customize-rogue'.  And
such commands are intended (of course) to be usable with any
buffer current.

Similarly, there is nothing in a non-interactive function such
as `custom-variable-state' that says that it should be called
only from a particular buffer or set of buffers.

It is true that such functions use `eval', and there is a risk
that the property value is a sexp whose evaluation raises an error.

Perhaps a usage note is called for in the doc of such functions?